Page MenuHomePhabricator

[Feeds] Create the user interface that will be the container that holds an infinitely-scrollable list of cards.
Closed, ResolvedPublic2 Story Points

Description

This is to create the container that will hold the feed contents.
Initially, this will be a very basic RecyclerView that holds a single "type" of card. This will later be expanded to support different card types.
This can exist as a Fragment (separate from the current Main Page, and accessible separately in the Nav menu).
The nav menu option can be enabled via Developer Settings

This component should not have any knowledge of the contents of each card, but it will eventually provide an "interface" that will be implemented by all the different card types.

Event Timeline

Dbrant created this task.Mar 7 2016, 3:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2016, 3:07 PM
MBinder_WMF set the point value for this task to 10.Mar 15 2016, 5:46 PM
MBinder_WMF added a subscriber: MBinder_WMF.

Pointing as part of work breakdown meeting.

MBinder_WMF updated the task description. (Show Details)Mar 15 2016, 6:00 PM
Dbrant renamed this task from [Feeds] Create a fragment that holds an infinitely-scrollable list of cards. to [Feeds] Create the user interface that will be the container that holds an infinitely-scrollable list of cards..Mar 28 2016, 9:19 PM
MBinder_WMF added a comment.EditedMar 28 2016, 9:20 PM

Data storage thing might not matter.

MBinder_WMF removed the point value for this task.Apr 13 2016, 7:03 PM
Dbrant updated the task description. (Show Details)Apr 13 2016, 7:22 PM
MBinder_WMF set the point value for this task to 2.May 13 2016, 6:14 PM
Niedzielski moved this task from To Do to Doing on the Mobile-App-Android-Sprint-82-Lead board.

Change 289790 had a related patch set uploaded (by Niedzielski):
Add Feed nav drawer entry and dev setting

https://gerrit.wikimedia.org/r/289790

Change 289792 had a related patch set uploaded (by Niedzielski):
Add Feed Activity, Fragment, & card aggregator UI

https://gerrit.wikimedia.org/r/289792

Change 289790 merged by jenkins-bot:
Add Feed nav drawer entry and dev setting

https://gerrit.wikimedia.org/r/289790

Change 289792 merged by jenkins-bot:
Add Feed Activity, Fragment, & card aggregator UI

https://gerrit.wikimedia.org/r/289792

Dbrant closed this task as Resolved.May 30 2016, 5:26 PM